Page MenuHomePhabricator

Create action and mutation for setting a statement as tainted
Closed, ResolvedPublic

Description

We should have an action that could be dispatched by logic that listens to the statement saved hook and can turn one statement tainted.

This task is not about actually coupling the action to the save hook.

A/C

  • Include tests for each action and mutation
  • Action should take one parameter (the guid)
  • mutation should only change one key-value pair in the store

Event Timeline

Tarrow created this task.Oct 9 2019, 12:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 12:21 PM
hoo added a subscriber: hoo.Oct 14 2019, 1:49 PM

I don't think this is needed, thus I suggest declining this. Can already be done via:

import actions from '@/store/actions';
( actions as Function )()[ STATEMENT_TAINTED_STATE_INIT ]( context, [ 'guid-to-taint' ] );

After thinking again I suspect we do still want this; soon we'll want to change the STATEMENT_TAINTED_STATE_INIT action to actually mark untainted by default. It's also a little confusing to use an action named init regularly part way through the running of the app.

Tarrow claimed this task.Oct 16 2019, 9:17 AM

Change 543389 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] TR: Add action and mutation to mark statement tainted

https://gerrit.wikimedia.org/r/543389

Change 543389 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Add action and mutation to mark statement tainted

https://gerrit.wikimedia.org/r/543389

Tarrow closed this task as Resolved.Oct 22 2019, 2:21 PM